> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ApiClient

> List API clients.



## OpenAPI

````yaml /api/iam/api/api-client.openapi.json get /v1/apiClients
openapi: 3.1.0
info:
  title: Confidence Api-client API
  version: 1.0.0
  description: API documentation for api-client
servers: []
security: []
paths:
  /v1/apiClients:
    get:
      summary: List ApiClient
      description: List API clients.
      operationId: ApiClient.list
      parameters:
        - name: pageSize
          in: query
          required: false
          description: The maximum number of API clients to fetch.
          schema:
            type: object
        - name: pageToken
          in: query
          required: false
          description: Token used for pagination.
          schema:
            type: string
        - name: filter
          in: query
          required: false
          description: |-
            Filter for API clients, follows the lucene query string format.
             Example: 'displayName: "my-api-client"'.
          schema:
            type: string
        - name: orderBy
          in: query
          required: false
          description: >-
            Provide fields and direction to sort by. Will always tiebreak on
            name.
             Format: {"<"}field_0{">"}:{"<"}direction{">"}, {"<"}field_1{">"}:{"<"}direction{">"}
             Example: displayName:desc,createTime:asc
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  apiClients:
                    type: array
                    items:
                      $ref: '#/components/schemas/confidence.iam.v1.ApiClient'
                    description: >-
                      [ApiClient](/api-reference/schemas/apiclient): Partial
                      list of returned API clients.
                  nextPageToken:
                    type: string
                    description: >-
                      A token that can be used to fetch more API clients, empty
                      if no more
                       API clients are available.
      security:
        - admin: []
      servers:
        - url: https://iam.eu.confidence.dev
        - url: https://iam.us.confidence.dev
        - url: https://iam.confidence.dev
components:
  schemas:
    confidence.iam.v1.ApiClient:
      title: ApiClient
      type: object
      description: |-
        An API client that can be used to programmatically access the Confidence
         APIs.
      properties:
        name:
          type: string
          description: Name of the API client on the form `apiClients/{"<"}id{">"}`.
        displayName:
          type: string
          description: Human friendly name of the API client.
        description:
          type: string
          description: A description of the API client, e.g. what it is for.
        clientId:
          type: string
          description: Id of the API client.
        clientSecret:
          type: string
          description: The client secret for the client.
        createTime:
          type: object
          description: Time when the API client was first created.
        updateTime:
          type: object
          description: Time when the API client was last updated.
        creator:
          type: string
          description: Reference to the identity that created this API client.
        updater:
          type: string
          description: Reference to the identity that last updated this API client.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: General labels for this resource.
        owner:
          type: string
          description: |2-

             The owner of the resource. If not set will default to the creator.
        identity:
          type: string
          description: Reference to the identity this API client represents.
      required:
        - displayName
        - clientId
        - createTime
        - updateTime
        - creator
        - updater
        - identity
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````